<?php

return array
(
	# 表名
	'name' => 'project',
	# 显示给用户看的名称
	'lang' => '项目管理',
	'order' => 30,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'fulltext',
			'order'		=> 'desc',
			'list'		=> true,
		),

		'name'		=> array
		(
			'type' 		=> 'varchar-30',
			'name' 		=> '项目名称',
			'default' 	=> '',
			'desc' 		=> '项目名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),

		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),
	
	'manage' => array
	(
		'button' => array
        (
        	'消息类型' => array('list', 'type&oper_parent=project&oper_project=message'),
        	'推送配置' => array('list', 'push&oper_parent=project&oper_project=message'),
        ),
	),

	'default' => array
	(
		'col' => 'id,name,state,cdate',
		'value' => array
		(
			'1, "默认项目", 1,' . DEVER_TIME,
		),
	),
	
	# request 请求接口定义
	'request' => array
	(
		
	),
);
