<?php

$type = array
(
	1 => '腾讯信鸽',
);

return array
(
	# 表名
	'name' => 'push',
	# 显示给用户看的名称
	'lang' => '推送配置',
	'order' => 19,
	'menu' => false,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'fulltext',
			'order'		=> 'desc',
			'list'		=> true,
		),

		'name'		=> array
		(
			'type' 		=> 'varchar-30',
			'name' 		=> '推送名称',
			'default' 	=> '',
			'desc' 		=> '请填写类型名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
		),

		'type'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '推送类型',
			'default' 	=> '1',
			'desc' 		=> '推送类型',
			'match' 	=> 'is_numeric',
			'option' 	=> $type,
			'update'	=> 'select',
			//'search'	=> 'select',
			'list'		=> true,
		),

		'android_appid'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '安卓推送appid',
			'default' 	=> '',
			'desc' 		=> '安卓推送appid',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
		),

		'android_appsecret'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '安卓推送appsecret',
			'default' 	=> '',
			'desc' 		=> '安卓推送appsecret',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
		),

		'ios_appid'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '苹果推送appid',
			'default' 	=> '',
			'desc' 		=> '苹果推送appid',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
		),

		'ios_appsecret'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '苹果推送appsecret',
			'default' 	=> '',
			'desc' 		=> '苹果推送appsecret',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),

		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),
	
	'manage' => array
	(
		
	),
	
	# request 请求接口定义
	'request' => array
	(
		
	),
);
